/*
Author:
Sreekumar Thaithara Balan 

Name:
data.cc

Version:
0.7

Last modified:
30-03-2008

Purpose:
1. Handle input data

Implements:
1. Data::read_file()->data.h
2. Data::print_head()->data.h
3. Data::print_entries()->data.h

Todo:
1. This code is very primitive. Need better error handling
2. Data handling equivalant to R

References:


License:
GNU General Public License
This file is part of Exofit.

Exofit is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Exofit is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Exofit; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.

*/

#include<iostream>
#include<fstream>
#include<cstdlib>
#include"data.h"


void Data::read_file()
{
  std::ifstream fin;
  fin.open(data_file.c_str(),std::ios::in);

  /***************** ADVANCED METHOD IN THE NEXT VERSION **********/
  if(!fin)
    {
      std::cout<<"Unable to open data_file"<<"\n";
      exit(1); 
    }

  //set the line number=0 -> to read the header if head=true
  int line=0;

  while(!fin.eof())
    {
      for(int i=0;i<n_column;++i)// reading through cols -> Head or Entries
	{
	  std::string str_temp;
	  fin>>str_temp;
	  if(line==0 && hd==true)
	    Head.push_back(str_temp);//if hd=true store it in a vector: Head
	  else 
	    {
	      double num_temp; // if hd=false convert the string into a double
	      num_temp=strtod(str_temp.c_str(),NULL);
	      Entr.push_back(num_temp);// store it in vector Ent
	    }
	}

      if(hd==true && line==0)
	{}// do nothing becase it is already stored in a header
      else
	Dat.push_back(Entr);// push the entry on all other cases
      
      line=1;// one the header is read make value of line other than zero

      Entr.clear();// clear the entries to read the next row-> next run of loop

    }// while loop

    Dat.pop_back();//last element becase it is all zero -> due to !fin.eof()
    fin.close();

}

void Data::print_head() const
{
  for(int i=0;i<Head.size();++i)
    std::cout<<Head[i]<<"\t";
  std::cout<<"\n";
}
void Data::print_entries() const
{
  for(int i=0;i<Dat.size();++i)
    {
      for(int j=0;j<n_column;++j)
	std::cout<<Dat[i][j]<<"\t";	  
      std::cout<<"\n";
    }
}


