#include<iostream>
#include<iomanip>
#include<fstream>
#include"radial_v.h"
#include"data.h"

int main(void)
{

  std::string orb_data_file="orb_vals.dat";
  Data orb_data(orb_data_file,1);
  orb_data.read_file();
  const int n_ent=orb_data.get_n_entries();
  float n_planets=(n_ent-4)/(float)5;
  if(n_planets-(int)n_planets==0)
    {
      std::vector<double> paras;
      for(int i=0;i<n_ent-2;++i)
	{
	  paras.push_back(orb_data.get_data_entry(i,0));
	}

      double min=orb_data.get_data_entry(n_ent-2,0);
      double max=orb_data.get_data_entry(n_ent-1,0);
 
      const int n_sample=2002;
      std::ofstream plot_file;
      plot_file.open("orb_plot.dat",std::ios::trunc); // clear data from outfile
      plot_file.close();
      plot_file.open("orb_plot.dat",std::ios::app);// open in append mode

      for(int i=0;i<n_sample;++i)
	{
	  double time=(0+i*(max-min)/(n_sample-1));
	  plot_file<<std::setprecision(10)<<min+time<<"\t";
	  plot_file<<std::setprecision(4)<<Suto::rad_v(time,paras,n_planets)<<"\n";
	}
    }
  else 
    std::cout<<"Wrong format: orb_vals.dat\n";
  return 0;
}
