/*
Author:
Sreekumar Thaithara Balan 

Name:
data.cc

Version:
0.7

Last modified:
30-03-2008

Purpose:
1. Defines the namespace Suto-> radial velocity of star for a given time

Implements:


Todo:
1. Solve the Kepler's equation by numerical differentiation

References:
1. Danby
2. Suto
3. Murray and Dermott

License:
GNU General Public License
This file is part of Exofit.

Exofit is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Exofit is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Exofit; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.

*/
#ifndef RADIAL_V_H
#define RADIAL_V_H

#include<cmath>
#include<vector>
namespace Suto
{
  const double D2S=86400.0;
  double ecc_anomaly(double time, double prd,double ecc,double peri_pass);
  double true_anomaly(double time,double prd,double ecc,double peri_pass);
  double radial_velocity(double time,
			       double T,
			       double K,
			       double e,
			       double w,
			       double X);

  double rad_v(double time,std::vector<double>& params,int n_planets);

}

#endif //RADIAL_V_H
